'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

const index = require('./index-399a4a13.js');
const utils = require('./utils-311c1b40.js');

const breadcrumbItemCss = ".ibk-breadcrumb-item{display:inline-block;font-family:var(--fontGeometria);text-transform:uppercase;font-size:12px;text-decoration:none;font-weight:600;letter-spacing:0.7px;transition:color var(--fast);cursor:pointer;color:var(--gray2)}.ibk-breadcrumb-item:not(.ibk-breadcrumb-item--current):active{transform:translateY(1px)}.ibk-breadcrumb-item:not(.ibk-breadcrumb-item--current):hover{color:var(--primaryGreen1)}.ibk-breadcrumb-item:not():hover{color:var(--primaryGreen1)}.ibk-breadcrumb-item--current{color:var(--grayText);cursor:default;pointer-events:none}.ibk-breadcrumb-item--negative{color:rgba(255, 255, 255, 0.4)}.ibk-breadcrumb-item--negative.ibk-breadcrumb-item--current{color:white}.ibk-breadcrumb-item--negative:not(.ibk-breadcrumb-item--current):hover{color:rgba(255, 255, 255, 0.7)}";

const IbkBreadcrumbItem = class {
  constructor(hostRef) {
    index.registerInstance(this, hostRef);
    this.onclick = index.createEvent(this, "onclick", 7);
  }
  /** Configura la clase del componente basado en estados y modificadores */
  containerClass() {
    return utils.modifiersToClass('ibk-breadcrumb-item', [
      { current: this.current },
      { negative: this.negative }
    ]);
  }
  render() {
    return (index.h("a", { class: this.containerClass(), href: this.href, onClick: this.onclick.emit }, this.text));
  }
};
IbkBreadcrumbItem.style = breadcrumbItemCss;

exports.ibk_breadcrumb_item = IbkBreadcrumbItem;
