'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

const index = require('./index-399a4a13.js');
const utils = require('./utils-311c1b40.js');

const modalCss = ".ibk-modal{position:fixed;top:0;left:0;width:100%;min-height:100vh;height:100%;overflow:auto;box-sizing:border-box;padding:5vh 0;display:flex;align-items:center;justify-content:center}.ibk-modal *{box-sizing:border-box}.ibk-modal--light{background-color:rgba(255, 255, 255, 0.5)}.ibk-modal--dark{background-color:rgba(0, 0, 0, 0.5)}.ibk-modal__content{display:block;width:480px;padding:52px 32px;background-color:white;border-radius:5px;position:relative}.ibk-modal__close{position:absolute;top:20px;right:20px;font-size:26px;cursor:pointer;transition:color var(--fast)}.ibk-modal__close:hover{color:var(--gray1)}.ibk-modal__close:active{transform:translateY(1px)}.ibk-modal__heading{display:block;font-family:var(--fontGeometria);font-size:32px;font-weight:600;letter-spacing:-1px;margin:0 0 15px 0;line-height:36px}.ibk-modal__subtitle{display:block;font-family:var(--fontMontserrat);font-size:16px;line-height:22px;letter-spacing:-0.1px}";

const IbkModal = class {
  constructor(hostRef) {
    index.registerInstance(this, hostRef);
    /** Determina el color de fondo del modal */
    this.background = 'dark';
    /** Determina si el modal tendrá una "X" para cerrar el modal */
    this.fixed = false;
  }
  /** Configura la clase del componente basado en estados y modificadores */
  containerClass() {
    return utils.modifiersToClass('ibk-modal', [
      this.background
    ]);
  }
  render() {
    return (index.h("div", { class: this.containerClass() }, index.h("div", { class: "ibk-modal__content" }, !this.fixed && index.h("i", { class: "ibk-modal__close icon-m-close" }), this.heading && index.h("p", { class: "ibk-modal__heading" }, this.heading), this.subtitle && index.h("p", { class: "ibk-modal__subtitle" }, this.subtitle), index.h("slot", null))));
  }
};
IbkModal.style = modalCss;

exports.ibk_modal = IbkModal;
