import { Component, Event, h, Prop } from "@stencil/core";
import { modifiersToClass } from '../../utils/utils';
export class IbkBreadcrumbItem {
  /** Configura la clase del componente basado en estados y modificadores */
  containerClass() {
    return modifiersToClass('ibk-breadcrumb-item', [
      { current: this.current },
      { negative: this.negative }
    ]);
  }
  render() {
    return (h("a", { class: this.containerClass(), href: this.href, onClick: this.onclick.emit }, this.text));
  }
  static get is() { return "ibk-breadcrumb-item"; }
  static get originalStyleUrls() { return {
    "$": ["breadcrumb-item.css"]
  }; }
  static get styleUrls() { return {
    "$": ["breadcrumb-item.css"]
  }; }
  static get properties() { return {
    "current": {
      "type": "boolean",
      "mutable": false,
      "complexType": {
        "original": "boolean",
        "resolved": "boolean",
        "references": {}
      },
      "required": false,
      "optional": false,
      "docs": {
        "tags": [],
        "text": "Hace referencia a la vista actual"
      },
      "attribute": "current",
      "reflect": false
    },
    "href": {
      "type": "string",
      "mutable": false,
      "complexType": {
        "original": "string",
        "resolved": "string",
        "references": {}
      },
      "required": false,
      "optional": false,
      "docs": {
        "tags": [],
        "text": "Url a donde redirigir\u00E1"
      },
      "attribute": "href",
      "reflect": false
    },
    "text": {
      "type": "string",
      "mutable": false,
      "complexType": {
        "original": "string",
        "resolved": "string",
        "references": {}
      },
      "required": false,
      "optional": false,
      "docs": {
        "tags": [],
        "text": "Texto que se mostrar\u00E1 en el item"
      },
      "attribute": "text",
      "reflect": false
    },
    "negative": {
      "type": "boolean",
      "mutable": false,
      "complexType": {
        "original": "boolean",
        "resolved": "boolean",
        "references": {}
      },
      "required": false,
      "optional": false,
      "docs": {
        "tags": [],
        "text": "El breadcrumb se mostrar\u00E1 con un fondo oscuro"
      },
      "attribute": "negative",
      "reflect": false
    }
  }; }
  static get events() { return [{
      "method": "onclick",
      "name": "onclick",
      "bubbles": true,
      "cancelable": true,
      "composed": true,
      "docs": {
        "tags": [],
        "text": "Emite el evento click"
      },
      "complexType": {
        "original": "any",
        "resolved": "any",
        "references": {}
      }
    }]; }
}
