import { EventEmitter } from "../../stencil-public-runtime";
export declare class IbkButton {
  /** Referencia del web component */
  host: HTMLElement;
  /**
   * <strong>primary:</strong> Fondo de color con texto blanco <br>
   * <strong>secondary:</strong> Fondo transparente con borde y texto verde <br>
   * <strong>tertiary:</strong> Texto verde sin fondo ni borde
   */
  appearance: 'primary' | 'secondary' | 'tertiary';
  /** Define si el botón será de color verde o azul. Por defecto será verde. */
  color: 'green' | 'blue';
  /** Contenido del botón */
  text: string;
  /** Alto del botón, 40px, 48px y 56px respectivamente en desktop y 32px, 44px, 48px en mobile */
  size: 'small' | 'medium' | 'large';
  /** Define el tipo del botón, se usarán los tipos nativos */
  type: 'button' | 'submit' | 'reset';
  /** Determina si el botón se encuentra sobre un fondo oscuro */
  negative: boolean;
  /** Cuando está en true, se mostrará un icono con una animación de carga. */
  loading: boolean;
  /** Define un ícono que se mostrará solo o acompañará al texto */
  icon: string;
  /** Define la posición del icono en el caso de estar acompañado de un texto */
  iconPosition: 'right' | 'left';
  /** Determina si usará el 100% del espacio disponible */
  full: boolean;
  /** Determina si el botón irá al centro de la pantalla */
  center: boolean;
  /** Determina si le botón se encuentra deshabilitado */
  disable: boolean;
  /** Crea un enlace a la url especificada */
  href: string;
  /** Determina si el enlace se abre en una nueva ventana o en la misma */
  hrefTarget: '_self' | '_blank' | '_parent' | '_top';
  /** Emite el evento click */
  onclick: EventEmitter<any>;
  /** Referencia del elemento renderizado dentro del web component */
  private _buttonElement;
  /** Se almacena el ancho del botón al momento de ser renderizado. */
  private _sizeButton;
  componentDidLoad(): void;
  onLoadingChange(loading: boolean): void;
  /** Configura la clase del componente basado en estados y modificadores */
  containerClass(): string;
  render(): any;
}
