import { EventEmitter } from "../../stencil-public-runtime";
export declare class IbkCheckbox {
  /** Referencia del web component */
  host: HTMLElement;
  /** Valor del checkbox a devolver cuando sea seleccionado */
  value: number | string;
  /** Texto que describe lo que el usuario elegirá o marcará. Puede incluirse etiquetas HTML, para agregar enlaces, por ejm. Términos y condiciones.
   * Los valores de las etiquetas HTML se incluirán con comillas simples o dobles, dependiendo de las comillas que se esten usando al definir la propiedad */
  label: string;
  /** Estado activo del checkbox */
  checked: boolean;
  /** Estado inactivo del checkbox */
  disabled: boolean;
  /** Error en el checkbox */
  error: boolean;
  /** Cuando se encuentra dentro de un "ibk-form" al hacer submit si el checkbox se encuentra deseleccionado, mostrará un mensaje de error */
  required: boolean;
  /** Personaliza el mensaje de campo requerido */
  requiredMessage: string;
  /** Determina si el checkbox ocupa el 100% de la pantalla */
  full: boolean;
  /** Determina la posición del ícono */
  iconPosition: 'left' | 'right';
  /** El checkbox se verá envuelto en una caja */
  outline: boolean;
  /** Emite un evento con el detalle del checkbox seleccionado */
  onchecked: EventEmitter<any>;
  /** El checkbox estará agrupado en "ibk-checkbox-group" */
  _grouped: boolean;
  /** Estado focus del checkbox */
  _focus: boolean;
  componentWillLoad(): void;
  /** Configura la clase del componente basado en estados y modificadores */
  containerClass: () => string;
  /** Detecta cuando el estado del checkbox cambia */
  changeCheckbox(): void;
  onPressEnter(e: any): void;
  /** Verificar si el checkbox se encuentra agrupado */
  groupVerification(): void;
  onRadioFocusIn(): void;
  onRadioFocusOut(): void;
  render(): any;
}
