export declare class IbkDrawer {
  /** Referencia al web component */
  host: HTMLElement;
  /** Determina la posición en donde se abrirá el contenido del drawer */
  position: 'top' | 'right' | 'bottom' | 'left';
  /** Define el color del fondo del drawer */
  backgroundColor: string;
  /** Determina si el drawer se encuentra visible o no */
  show: boolean;
  /** El tamaño del drawer se limitará al contenedor especificado, por defecto es el ancho y alto disponible, dependiendo de la posición en que se visualice.<br>
   * La propiedad recibe un selector del elemento
   */
  container: string;
  /** Configura la clase del componente basado en estados y modificadores */
  containerClass: () => string;
  getContainerLimits: () => any;
  onShowChange(show: boolean): void;
  /** Cierra el drawer al dar click sobre el fondo o el botón cerrar */
  hideDrawer: (e: any) => void;
  render(): any;
}
