import { EventEmitter } from '../../stencil-public-runtime';
export interface DropdownItem {
  value?: string | number;
  label?: string;
  disabled?: boolean;
  color?: string;
  selected?: boolean;
  preselected?: boolean;
  cardType?: 'visa' | 'mastercard' | 'amex' | 'other' | string;
  hidden?: boolean;
}
export declare class IbkDropdownItem {
  /** Referencia del web component */
  host: HTMLElement;
  /** Valor que se le asigna al elemento del dropdown */
  value: string | number;
  /** Texto visible que tendrá el elemento del dropdown */
  label: string;
  /** Evita que se el elemento sea seleccionable */
  disabled: boolean;
  /** Asigna un color al texto del elemento */
  color: string;
  /** Elemento seleccionado del dropdown */
  selected: boolean;
  /** Elemento actual al momento de hacer hover o mover las flechas */
  preselected: boolean;
  /** Dependiendo del tipo de tarjeta se agrega una imagen a la izquierda como referencia */
  cardType: 'visa' | 'mastercard' | 'amex' | 'OTHER' | string;
  /** Se ocultará la opción de la lista */
  hide: boolean;
  /** Le envía al componente "ibk-dropdown" el elemento seleccionado con sus propiedades */
  onselect: EventEmitter<DropdownItem>;
  /** Define si el item se mantendrá marcado al ser seleccionado */
  private _keepMarked;
  componentWillLoad(): void;
  /** Configura la clase del componente basado en estados y modificadores */
  containerClass: () => string;
  /** Selecciona el elemento y lo envía al componente padre "ibk-dropdown" */
  selectItem: () => void;
  setPreselected(): void;
  deletePreselected(): void;
  render(): any;
}
