export declare class IbkFormGroup {
  /** Referencia del web component */
  host: HTMLElement;
  /** Texto de ayuda encima del grupo de campos */
  label: string;
  /** Se incluye el subtitulo entre el label (si existiera) y el grupo de campos */
  subtitle: string;
  /** Define si los campos se encontrarán unidos, sin espaceios entre si */
  joined: boolean;
  /** Se ingresarán los anchos de los campos separados por coma. Los números ingresados deberán sumar 100
   * Ejm. Para un grupo de dos campos el valor de la propiedad será similar a "30,70"
   * Estos valores serán registrados como porcentajes. Por defecto todos los campos tendrán el mismo tamaño
   */
  fieldsWidth: string;
  /** Define si el grupo mostrará un mensaje de error */
  error: boolean;
  /** Define si todos los campos del grupo son requeridos */
  required: boolean;
  /** Personaliza el mensaje de campo requerido */
  requiredMessage: string;
  /** Almacena un true si el primer campo del grupo esta en focus */
  _firstFocus: boolean;
  /** Campos dentro del grupo */
  private _allFields;
  componentWillLoad(): void;
  watchingError(): void;
  /** Configura la clase del componente basado en estados y modificadores */
  containerClass: () => string;
  setFocus: () => void;
  /** Elimina los contenedores de los mensajes de error de los campos en el grupo */
  configFieldProperties: () => void;
  render(): any;
}
