export declare class IbkNotification {
  /** Referencia del web component */
  host: HTMLElement;
  /** Define el tipo de notificación a mostrar<br>
   * <strong>success: </strong>Color verde<br>
   * <strong>error: </strong>Color rojo<br>
   * <strong>alert: </strong>Color amarillo<br>
   * <strong>info: </strong>Color celeste
   */
  type: 'alert' | 'error' | 'success' | 'info';
  /** Define si se muestra la notificación en un contenedor */
  container: 'on' | 'off';
  /** Define el ancho de la notificación */
  width: 'auto' | 'full' | number;
  /** Mensaje a mostrar en la notificación */
  message: string;
  /** Define si la notificación se mantendrá oculta */
  show: boolean;
  /** Define el tiempo que la notificación permanecerá visible en pantalla.
   * Si no se especifica, la notificación permanecerá visible hasta que se cambie la propiedad "hide" de forma manual.
   * Se ingresará como valor el tiempo en milisegundos. Ejm: 2s = 2000
   */
  timeout: number;
  /** Define si la notificación se mostrará fija en la parte superior de la pantalla */
  fixed: boolean;
  watchingShowProp(show: boolean): void;
  componentWillLoad(): void;
  /** Configura la clase del componente basado en estados y modificadores */
  containerClass: () => string;
  render(): any;
}
