import { EventEmitter } from "../../stencil-public-runtime";
export interface NumberPickerEvent {
  number?: number;
  formated?: string;
}
export declare class IbkNumberPicker {
  /** Referencia al web component */
  host: HTMLElement;
  /** Define el tamaño del selector<br>
   * <strong>Medium: </strong>el ancho será para un número de dos dígitos<br>
   * <strong>Large: </strong>el ancho será para un número de hasta 8 dígitos<br>
   * <strong>Full: </strong>ocupará el 100% del ancho disponible
   */
  size: 'medium' | 'large' | 'full';
  /** Determina el número máximo del selector, por defecto será 100,000 */
  max: number;
  /** Determina el número mínimo del selector, por defecto será 0 */
  min: number;
  /** Determina el número actual en el selector */
  current: number;
  /** Determina si el número se puede editar manualmente, por defecto solo se usarán los ícono de más y menos */
  editable: boolean;
  /** Evento al cambiar el número con los botones más y menos, o digitando manualmente */
  onchange: EventEmitter<NumberPickerEvent>;
  /** Define la cantidad de números que se agregarán o quitarán a al valor actual */
  private _bounce;
  /** Almacena la acción actual */
  private _action;
  /** Valor actual con formato de número */
  private _currentFormated;
  componentWillLoad(): void;
  /** Configura la clase del componente basado en estados y modificadores */
  containerClass: () => string;
  /** Define de cuánto en cuánto cambiará el número al dar click en los botones más o menos */
  setBounce: () => void;
  /** Acción cuando se da click sobre los botones más o menos */
  changeQuantity: (action: 'add' | 'remove') => void;
  /** Se ejecutá cuando el usuario digita manualmente el número en el calendario */
  typeNumber: (e: any) => void;
  render(): any;
}
