import { EventEmitter } from "../../stencil-public-runtime";
export declare class IbkRadio {
  /** Referencia del web component */
  host: HTMLElement;
  /** Valor del radio a devolver cuando sea seleccionado */
  value: number | string;
  /** Texto que describe lo que el usuario elegirá o marcará. Puede incluirse etiquetas HTML, para agregar enlaces, por ejm. Términos y condiciones */
  label: string;
  /** Estado activo del radio */
  selected: boolean;
  /** Estado inactivo del radio */
  disabled: boolean;
  /** Error en el radio */
  error: boolean;
  /** Cuando se encuentra dentro de un "ibk-form" al hacer submit si el radio se encuentra deseleccionado, mostrará un mensaje de error */
  required: boolean;
  /** Personaliza el mensaje de campo requerido */
  requiredMessage: string;
  /** Determina la posición del ícono */
  iconPosition: 'left' | 'right';
  /** El radio se verá envuelto en una caja */
  outline: boolean;
  /** Determina si el radio ocupa el 100% de la pantalla */
  full: boolean;
  /** Emite un evento con el detalle del radio seleccionado */
  onselect: EventEmitter<any>;
  /** El radio estará agrupado en "ibk-radio-group" */
  _grouped: boolean;
  /** Estado focus del radio */
  _focus: boolean;
  componentWillLoad(): void;
  /** Configura la clase del componente basado en estados y modificadores */
  containerClass: () => string;
  changeRadio(): void;
  /** Verificar si el checkbox se encuentra agrupado */
  groupVerification(): void;
  onRadioFocusIn(): void;
  onRadioFocusOut(): void;
  render(): any;
}
