import { EventEmitter } from "../../stencil-public-runtime";
export interface SearchResult {
  value?: string | number;
  label?: string;
  text?: string;
  href?: string;
  hrefTarget?: string;
  over?: boolean;
}
export declare class IbkSearchResult {
  /** Referencia del web component */
  host: HTMLElement;
  /** Define un identificador para el resultado de búsqueda */
  value: string;
  /** Define el texto que se mostrará en el resultado */
  label: string;
  /** Crea un enlace a la url especificada */
  href: string;
  /** Determina si el enlace se abre en una nueva ventana o en la misma */
  hrefTarget: '_self' | '_blank' | '_parent' | '_top';
  /** Determina si el resultado se encuentra preseleccionado */
  over: boolean;
  /** Emite un evento al seleccionar la opción */
  onclick: EventEmitter<SearchResult>;
  /** Configura la clase del componente basado en estados y modificadores */
  containerClass: () => string;
  mouseOver(): void;
  mouseLeave(): void;
  /** Envía al contenedor (ibk-searchbar) un objeto con los datos del resultado */
  chooseResult: () => void;
  render(): any;
}
