/**
 * @param prefix {string} - Define el componente al que se le agregará la clase
 * @param modifiers {[string]} - Array de modificadores a convertir en clases
 * @returns {string} - Retorna los modificadores convertidos en clase de componente
 */
export declare function modifiersToClass(prefix: string, modifers: any[]): string;
/** Serie de expresiones regulares para validar el tipo de entrada de un campo de texto */
export declare const regexValidators: {
  empty: RegExp;
  dni: RegExp;
  document: RegExp;
  email: RegExp;
  cvv: RegExp;
  number: RegExp;
  numberFormat: RegExp;
  expiration: RegExp;
};
/**
 * Convierte un texto con acentos y mayúsculas y lo convierte a texto plano
 * @param text {string} Recibe el texto con acentos, mayúsculas, etc
 */
export declare function convertToPlainString(text: string): string;
/**
 * Retornará el siguiente elemento con el selector especificado, si no se especifica, retornará el siguiente inmediato.
 * @param element {HTMLElement} Elemento actual
 * @param selector {string} Selector a consultar
 */
export declare function nextSibling(element: Element, selector?: string): Element;
/**
 * Retornará el anterior elemento con el selector especificado, si no se especifica, retornará el anterior inmediato.
 * @param element {HTMLElement} Elemento actual
 * @param selector {string} Selector a consultar
 */
export declare function prevSibling(element: Element, selector?: string): Element;
/**
 * Retornará un arreglo con todos los elementos hermanos del elemento especificado
 * @param element {HTMLElement} Elemento actual
 * @param selector {string} Selector a consultar
 */
export declare function allSiblings(element: Element, selector?: string): HTMLElement[];
/**
 * Retornará true cuando el elemento se encuentre visible en pantalla, de lo contrario retornará false
 * @param element {HTMLElement} Elemento a verificar
 * @param container {HTMLElement} Contenedor del elemento a verificar
 */
export declare function visibilityValidate(element: HTMLElement, container: HTMLElement): boolean;
/**
 * Retornará el mismo texto, con la primera letra en mayúscula
 * @param text {string} Texto en minúscula
 */
export declare function firstCapitalice(text: string): string;
/**
 * Retornará el número con formato
 * @param value {number} Número sin formato
 */
export declare function numberFormat(value: number): string;
